import java.util.Scanner;

public class Examen01
{
  public static void main( String args[])
  {
    Scanner teclado = new Scanner(System.in);
    System.out.println("LED Number Display");
    while(true)
    {
      System.out.println("Numero a mostrar [0 para salir]: ");
      teclado.skip("[\n\r\t ]*"); 
      String numero=teclado.nextLine();
      if(numero.equals("0"))
       {
       return;
       }
      System.out.println("Factor de aumento (X): ");
      int aumento=teclado.nextInt();
      
      for(int i=0; i<numero.length(); ++i)
        switch (numero.charAt(i))
      {
        case '1':
          for(int j=1;j<=5*aumento;j+=1)
        {
          for(int m=1;m<=1*aumento;m+=1)
          {
            System.out.print("#");
          }
          System.out.println();
        }
          break;
          
        case '0':
          for(int m=1;m<=5*aumento;m+=1)
        {
          if(m<=aumento||m>=5*aumento-aumento+1)
          {
            for(int j=1;j<=3*aumento;j+=1)
              System.out.print("#");
            System.out.println();
          }
          else
          {
            for(int j=1;j<=3*aumento;j+=1)
            {
              if(j<=aumento||j>=3*aumento-aumento+1)
                System.out.print("#");
              else
                System.out.print(" ");
            }
            System.out.println();
          }
        }
          
          break;
          
        case'2':
        {
          for(int m=1;m<=5;m+=1)
          {
            if(m==1||m==3||m==5)
            {
              for(int j=1;j<=3;j+=1)
                System.out.print("#");
              
            System.out.println();
            }
            else
            {
              if(m==2)
              {
                for(int j=1;j<=3;j+=1)
                {
                  if(j==3)
                    System.out.print("#");
                  else
                    System.out.print(" ");
                }
                System.out.println();
              }
              else
              {
                for(int j=1;j<=3;j+=1)
                {
                  if(j==1)
                    System.out.print("#");
                  else
                    System.out.print(" ");
                }
                System.out.println();
              }
              }
                
        }
      }
    }
  }
}
}

